diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -8959,17 +9011,17 @@ static int mov_read_iloc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         item->extent_length = extent_length;
         item->extent_offset = base_offset + extent_offset;
         av_log(c->fc, AV_LOG_TRACE, "iloc: item_idx %d, item->item_id %d, offset_type %d, "
-                                    "extent_offset %"PRId64", extent_length %"PRId64"\n",
-               i, item->item_id, offset_type, item->extent_offset, item->extent_length);
+            "extent_offset %"PRId64", extent_length %"PRId64"\n",
+            i, item->item_id, offset_type, item->extent_offset, item->extent_length);
     }
 
     c->found_iloc = 1;
     return atom.size;
 }
 
-static int mov_read_infe(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_infe(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    HEIFItem *item = NULL;
+    HEIFItem* item = NULL;
     AVBPrint item_name;
     int64_t size = atom.size;
     uint32_t item_type;
@@ -9003,7 +9055,7 @@ static int mov_read_infe(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
 
     av_log(c->fc, AV_LOG_TRACE, "infe: item_id %d, item_type %s, item_name %s\n",
-           item_id, av_fourcc2str(item_type), item_name.str);
+        item_id, av_fourcc2str(item_type), item_name.str);
 
     size -= ret + 1;
     if (size > 0)
@@ -9025,12 +9077,12 @@ static int mov_read_infe(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     av_freep(&item->name);
     av_bprint_finalize(&item_name, ret ? &item->name : NULL);
     item->item_id = item_id;
-    item->type    = item_type;
+    item->type = item_type;
 
     switch (item_type) {
-    case MKTAG('a','v','0','1'):
-    case MKTAG('j','p','e','g'):
-    case MKTAG('h','v','c','1'):
+    case MKTAG('a', 'v', '0', '1'):
+    case MKTAG('j', 'p', 'e', 'g'):
+    case MKTAG('h', 'v', 'c', '1'):
         ret = heif_add_stream(c, item);
         if (ret < 0)
             return ret;
@@ -9040,9 +9092,9 @@ static int mov_read_infe(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_iinf(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_iinf(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    HEIFItem **heif_item;
+    HEIFItem** heif_item;
     int entry_count;
     int version, got_stream = 0, ret, i;
 
@@ -9061,7 +9113,7 @@ static int mov_read_iinf(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     c->heif_item = heif_item;
     if (entry_count > c->nb_heif_item)
         memset(&c->heif_item[c->nb_heif_item], 0,
-               sizeof(*c->heif_item) * (entry_count - c->nb_heif_item));
+            sizeof(*c->heif_item) * (entry_count - c->nb_heif_item));
     c->nb_heif_item = FFMAX(c->nb_heif_item, entry_count);
 
     for (i = 0; i < entry_count; i++) {
@@ -9084,7 +9136,7 @@ static int mov_read_iinf(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 fail:
     for (; i >= 0; i--) {
-        HEIFItem *item = c->heif_item[i];
+        HEIFItem* item = c->heif_item[i];
 
         if (!item)
             continue;
@@ -9094,17 +9146,17 @@ fail:
     return ret;
 }
 
-static int mov_read_iref_dimg(MOVContext *c, AVIOContext *pb, int version)
+static int mov_read_iref_dimg(MOVContext* c, AVIOContext* pb, int version)
 {
-    HEIFItem *item = NULL;
-    HEIFGrid *grid;
+    HEIFItem* item = NULL;
+    HEIFGrid* grid;
     int entries, i;
     int from_item_id = version ? avio_rb32(pb) : avio_rb16(pb);
 
     for (int i = 0; i < c->nb_heif_grid; i++) {
         if (c->heif_grid[i].item->item_id == from_item_id) {
             av_log(c->fc, AV_LOG_ERROR, "More than one 'dimg' box "
-                                        "referencing the same Derived Image item\n");
+                "referencing the same Derived Image item\n");
             return AVERROR_INVALIDDATA;
         }
     }
@@ -9114,12 +9166,12 @@ static int mov_read_iref_dimg(MOVContext *c, AVIOContext *pb, int version)
         item = c->heif_item[i];
 
         switch (item->type) {
-        case MKTAG('g','r','i','d'):
-        case MKTAG('i','o','v','l'):
+        case MKTAG('g', 'r', 'i', 'd'):
+        case MKTAG('i', 'o', 'v', 'l'):
             break;
         default:
             avpriv_report_missing_feature(c->fc, "Derived Image item of type %s",
-                                          av_fourcc2str(item->type));
+                av_fourcc2str(item->type));
             return 0;
         }
         break;
@@ -9130,7 +9182,7 @@ static int mov_read_iref_dimg(MOVContext *c, AVIOContext *pb, int version)
     }
 
     grid = av_realloc_array(c->heif_grid, c->nb_heif_grid + 1U,
-                            sizeof(*c->heif_grid));
+        sizeof(*c->heif_grid));
     if (!grid)
         return AVERROR(ENOMEM);
     c->heif_grid = grid;
@@ -9149,46 +9201,42 @@ static int mov_read_iref_dimg(MOVContext *c, AVIOContext *pb, int version)
     grid->item = item;
 
     av_log(c->fc, AV_LOG_TRACE, "dimg: from_item_id %d, entries %d\n",
-           from_item_id, entries);
+        from_item_id, entries);
 
     return 0;
 }
 
-static int mov_read_iref_cdsc(MOVContext *c, AVIOContext *pb, uint32_t type, int version)
+static int mov_read_iref_thmb(MOVContext* c, AVIOContext* pb, int version)
 {
-    HEIFItem *from_item = NULL;
+    int* thmb_item_id;
     int entries;
-    int from_item_id = version ? avio_rb32(pb) : avio_rb16(pb);
-    const HEIFItemRef ref = { type, from_item_id };
-
-    from_item = get_heif_item(c, from_item_id);
-    if (!from_item) {
-        av_log(c->fc, AV_LOG_ERROR, "Missing stream referenced by thmb item\n");
-        return AVERROR_INVALIDDATA;
-    }
+    int to_item_id, from_item_id = version ? avio_rb32(pb) : avio_rb16(pb);
 
     entries = avio_rb16(pb);
+    if (entries > 1) {
+        avpriv_request_sample(c->fc, "thmb in iref referencing several items");
+        return AVERROR_PATCHWELCOME;
+    }
     /* 'to' item ids */
-    for (int i = 0; i < entries; i++) {
-        HEIFItem *item = get_heif_item(c, version ? avio_rb32(pb) : avio_rb16(pb));
-        if (!item) {
-            av_log(c->fc, AV_LOG_WARNING, "Missing stream referenced by %s item\n",
-                   av_fourcc2str(type));
-            continue;
-        }
+    to_item_id = version ? avio_rb32(pb) : avio_rb16(pb);
 
-        if (!av_dynarray2_add((void **)&item->iref_list, &item->nb_iref_list,
-                              sizeof(*item->iref_list), (const uint8_t *)&ref))
-            return AVERROR(ENOMEM);
-    }
+    if (to_item_id != c->primary_item_id)
+        return 0;
+
+    /* Put thumnbail IDs into an array */
+    thmb_item_id = av_dynarray2_add((void**)&c->thmb_item_id, &c->nb_thmb_item,
+        sizeof(*c->thmb_item_id),
+        (const void*)&from_item_id);
+    if (!thmb_item_id)
+        return AVERROR(ENOMEM);
 
-    av_log(c->fc, AV_LOG_TRACE, "%s: from_item_id %d, entries %d\n",
-           av_fourcc2str(type), from_item_id, entries);
+    av_log(c->fc, AV_LOG_TRACE, "thmb: from_item_id %d, entries %d, nb_thmb: %d\n",
+        from_item_id, entries, c->nb_thmb_item);
 
     return 0;
 }
 
-static int mov_read_iref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_iref(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int version = avio_r8(pb);
     avio_rb24(pb); // flags
@@ -9209,16 +9257,15 @@ static int mov_read_iref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         next += size - 4;
         type = avio_rl32(pb);
         switch (type) {
-        case MKTAG('d','i','m','g'):
+        case MKTAG('d', 'i', 'm', 'g'):
             mov_read_iref_dimg(c, pb, version);
             break;
-        case MKTAG('c','d','s','c'):
-        case MKTAG('t','h','m','b'):
-            mov_read_iref_cdsc(c, pb, type, version);
+        case MKTAG('t', 'h', 'm', 'b'):
+            mov_read_iref_thmb(c, pb, version);
             break;
         default:
             av_log(c->fc, AV_LOG_DEBUG, "Unknown iref type %s size %"PRIu32"\n",
-                   av_fourcc2str(type), size);
+                av_fourcc2str(type), size);
         }
 
         atom.size -= size;
@@ -9227,39 +9274,39 @@ static int mov_read_iref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_ispe(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_ispe(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    HEIFItem *item;
+    HEIFItem* item;
     uint32_t width, height;
 
     avio_r8(pb);  /* version */
     avio_rb24(pb);  /* flags */
-    width  = avio_rb32(pb);
+    width = avio_rb32(pb);
     height = avio_rb32(pb);
 
     av_log(c->fc, AV_LOG_TRACE, "ispe: item_id %d, width %u, height %u\n",
-           c->cur_item_id, width, height);
+        c->cur_item_id, width, height);
 
-    item = get_heif_item(c, c->cur_item_id);
+    item = heif_cur_item(c);
     if (item) {
-        item->width  = width;
+        item->width = width;
         item->height = height;
     }
 
     return 0;
 }
 
-static int mov_read_irot(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_irot(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    HEIFItem *item;
+    HEIFItem* item;
     int angle;
 
     angle = avio_r8(pb) & 0x3;
 
     av_log(c->fc, AV_LOG_TRACE, "irot: item_id %d, angle %u\n",
-           c->cur_item_id, angle);
+        c->cur_item_id, angle);
 
-    item = get_heif_item(c, c->cur_item_id);
+    item = heif_cur_item(c);
     if (item) {
         // angle * 90 specifies the angle (in anti-clockwise direction)
         // in units of degrees.
@@ -9269,34 +9316,34 @@ static int mov_read_irot(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_imir(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_imir(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    HEIFItem *item;
+    HEIFItem* item;
     int axis;
 
     axis = avio_r8(pb) & 0x1;
 
     av_log(c->fc, AV_LOG_TRACE, "imir: item_id %d, axis %u\n",
-           c->cur_item_id, axis);
+        c->cur_item_id, axis);
 
-    item = get_heif_item(c, c->cur_item_id);
+    item = heif_cur_item(c);
     if (item) {
-        item->hflip =  axis;
+        item->hflip = axis;
         item->vflip = !axis;
     }
 
     return 0;
 }
 
-static int mov_read_iprp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_iprp(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     typedef struct MOVAtoms {
         FFIOContext b;
         uint32_t type;
         int64_t  size;
-        uint8_t *data;
+        uint8_t* data;
     } MOVAtoms;
-    MOVAtoms *atoms = NULL;
+    MOVAtoms* atoms = NULL;
     MOVAtom a;
     unsigned count;
     int nb_atoms = 0;
@@ -9306,12 +9353,12 @@ static int mov_read_iprp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     a.size = avio_rb32(pb);
     a.type = avio_rl32(pb);
 
-    if (a.size < 8 || a.type != MKTAG('i','p','c','o'))
+    if (a.size < 8 || a.type != MKTAG('i', 'p', 'c', 'o'))
         return AVERROR_INVALIDDATA;
 
     a.size -= 8;
     while (a.size >= 8) {
-        MOVAtoms *ref = av_dynarray2_add((void**)&atoms, &nb_atoms, sizeof(MOVAtoms), NULL);
+        MOVAtoms* ref = av_dynarray2_add((void**)&atoms, &nb_atoms, sizeof(MOVAtoms), NULL);
         if (!ref) {
             ret = AVERROR(ENOMEM);
             goto fail;
@@ -9344,14 +9391,14 @@ static int mov_read_iprp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     a.size = avio_rb32(pb);
     a.type = avio_rl32(pb);
 
-    if (a.size < 8 || a.type != MKTAG('i','p','m','a')) {
+    if (a.size < 8 || a.type != MKTAG('i', 'p', 'm', 'a')) {
         ret = AVERROR_INVALIDDATA;
         goto fail;
     }
 
     version = avio_r8(pb);
-    flags   = avio_rb24(pb);
-    count   = avio_rb32(pb);
+    flags = avio_rb24(pb);
+    count = avio_rb32(pb);
 
     for (int i = 0; i < count; i++) {
         int item_id = version ? avio_rb32(pb) : avio_rb16(pb);
@@ -9363,7 +9410,7 @@ static int mov_read_iprp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         }
 
         for (int j = 0; j < assoc_count; j++) {
-            MOVAtoms *ref;
+            MOVAtoms* ref;
             int index = avio_r8(pb) & 0x7f;
             if (flags & 1) {
                 index <<= 8;
@@ -9376,13 +9423,15 @@ static int mov_read_iprp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             ref = &atoms[--index];
 
             av_log(c->fc, AV_LOG_TRACE, "ipma: property_index %d, item_id %d, item_type %s\n",
-                   index + 1, item_id, av_fourcc2str(ref->type));
+                index + 1, item_id, av_fourcc2str(ref->type));
 
             c->cur_item_id = item_id;
 
             ret = mov_read_default(c, &ref->b.pub,
-                                   (MOVAtom) { .size = ref->size,
-                                               .type = MKTAG('i','p','c','o') });
+                (MOVAtom) {
+                .size = ref->size,
+                    .type = MKTAG('i', 'p', 'c', 'o')
+            });
             if (ret < 0)
                 goto fail;
             ffio_init_read_context(&ref->b, ref->data, ref->size);
@@ -9525,11 +9574,10 @@ static const MOVParseTableEntry mov_default_parse_table[] = {
 #if CONFIG_IAMFDEC
 { MKTAG('i','a','c','b'), mov_read_iacb },
 #endif
-{ MKTAG('s','r','a','t'), mov_read_srat },
 { 0, NULL }
 };
 
-static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_default(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int64_t total_size = 0;
     MOVAtom a;
@@ -9539,7 +9587,7 @@ static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         av_log(c->fc, AV_LOG_ERROR, "Atoms too deeply nested\n");
         return AVERROR_INVALIDDATA;
     }
-    c->atom_depth ++;
+    c->atom_depth++;
 
     if (atom.size < 0)
         atom.size = INT64_MAX;
@@ -9549,29 +9597,29 @@ static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         a.type = avio_rl32(pb);
         if (avio_feof(pb))
             break;
-        if (((a.type == MKTAG('f','r','e','e') && c->moov_retry) ||
-              a.type == MKTAG('h','o','o','v')) &&
+        if (((a.type == MKTAG('f', 'r', 'e', 'e') && c->moov_retry) ||
+            a.type == MKTAG('h', 'o', 'o', 'v')) &&
             a.size >= 8 &&
             c->fc->strict_std_compliance < FF_COMPLIANCE_STRICT) {
-                uint32_t type;
-                avio_skip(pb, 4);
-                type = avio_rl32(pb);
-                if (avio_feof(pb))
-                    break;
-                avio_seek(pb, -8, SEEK_CUR);
-                if (type == MKTAG('m','v','h','d') ||
-                    type == MKTAG('c','m','o','v')) {
-                    av_log(c->fc, AV_LOG_ERROR, "Detected moov in a free or hoov atom.\n");
-                    a.type = MKTAG('m','o','o','v');
-                }
+            uint32_t type;
+            avio_skip(pb, 4);
+            type = avio_rl32(pb);
+            if (avio_feof(pb))
+                break;
+            avio_seek(pb, -8, SEEK_CUR);
+            if (type == MKTAG('m', 'v', 'h', 'd') ||
+                type == MKTAG('c', 'm', 'o', 'v')) {
+                av_log(c->fc, AV_LOG_ERROR, "Detected moov in a free or hoov atom.\n");
+                a.type = MKTAG('m', 'o', 'o', 'v');
+            }
         }
-        if (atom.type != MKTAG('r','o','o','t') &&
-            atom.type != MKTAG('m','o','o','v')) {
-            if (a.type == MKTAG('t','r','a','k') ||
-                a.type == MKTAG('m','d','a','t')) {
+        if (atom.type != MKTAG('r', 'o', 'o', 't') &&
+            atom.type != MKTAG('m', 'o', 'o', 'v')) {
+            if (a.type == MKTAG('t', 'r', 'a', 'k') ||
+                a.type == MKTAG('m', 'd', 'a', 't')) {
                 av_log(c->fc, AV_LOG_ERROR, "Broken file, trak/mdat not at top-level\n");
                 avio_skip(pb, -8);
-                c->atom_depth --;
+                c->atom_depth--;
                 return 0;
             }
         }
@@ -9581,7 +9629,7 @@ static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             total_size += 8;
         }
         av_log(c->fc, AV_LOG_TRACE, "type:'%s' parent:'%s' sz: %"PRId64" %"PRId64" %"PRId64"\n",
-               av_fourcc2str(a.type), av_fourcc2str(atom.type), a.size, total_size, atom.size);
+            av_fourcc2str(a.type), av_fourcc2str(atom.type), a.size, total_size, atom.size);
         if (a.size == 0) {
             a.size = atom.size - total_size + 8;
         }
@@ -9599,35 +9647,36 @@ static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             }
 
         // container is user data
-        if (!parse && (atom.type == MKTAG('u','d','t','a') ||
-                       atom.type == MKTAG('i','l','s','t')))
+        if (!parse && (atom.type == MKTAG('u', 'd', 't', 'a') ||
+            atom.type == MKTAG('i', 'l', 's', 't')))
             parse = mov_read_udta_string;
 
         // Supports parsing the QuickTime Metadata Keys.
         // https://developer.apple.com/library/mac/documentation/QuickTime/QTFF/Metadata/Metadata.html
         if (!parse && c->found_hdlr_mdta &&
-            atom.type == MKTAG('m','e','t','a') &&
-            a.type == MKTAG('k','e','y','s') &&
+            atom.type == MKTAG('m', 'e', 't', 'a') &&
+            a.type == MKTAG('k', 'e', 'y', 's') &&
             c->meta_keys_count == 0) {
             parse = mov_read_keys;
         }
 
         if (!parse) { /* skip leaf atoms data */
             avio_skip(pb, a.size);
-        } else {
+        }
+        else {
             int64_t start_pos = avio_tell(pb);
             int64_t left;
             int err = parse(c, pb, a);
             if (err < 0) {
-                c->atom_depth --;
+                c->atom_depth--;
                 return err;
             }
             if (c->found_moov && c->found_mdat && a.size <= INT64_MAX - start_pos &&
                 ((!(pb->seekable & AVIO_SEEKABLE_NORMAL) || c->fc->flags & AVFMT_FLAG_IGNIDX || c->frag_index.complete) ||
-                 start_pos + a.size == avio_size(pb))) {
+                    start_pos + a.size == avio_size(pb))) {
                 if (!(pb->seekable & AVIO_SEEKABLE_NORMAL) || c->fc->flags & AVFMT_FLAG_IGNIDX || c->frag_index.complete)
                     c->next_root_atom = start_pos + a.size;
-                c->atom_depth --;
+                c->atom_depth--;
                 return 0;
             }
             left = a.size - avio_tell(pb) + start_pos;
@@ -9635,8 +9684,8 @@ static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                 avio_skip(pb, left);
             else if (left < 0) {
                 av_log(c->fc, AV_LOG_WARNING,
-                       "overread end of atom '%s' by %"PRId64" bytes\n",
-                       av_fourcc2str(a.type), -left);
+                    "overread end of atom '%s' by %"PRId64" bytes\n",
+                    av_fourcc2str(a.type), -left);
                 avio_seek(pb, left, SEEK_CUR);
             }
         }
@@ -9647,11 +9696,11 @@ static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (total_size < atom.size && atom.size < 0x7ffff)
         avio_skip(pb, atom.size - total_size);
 
-    c->atom_depth --;
+    c->atom_depth--;
     return 0;
 }
 
-static int mov_probe(const AVProbeData *p)
+static int mov_probe(const AVProbeData* p)
 {
     int64_t offset;
     uint32_t tag;
@@ -9668,9 +9717,10 @@ static int mov_probe(const AVProbeData *p)
             break;
         size = AV_RB32(p->buf + offset);
         if (size == 1 && offset + 16 <= (unsigned int)p->buf_size) {
-            size = AV_RB64(p->buf+offset + 8);
+            size = AV_RB64(p->buf + offset + 8);
             minsize = 16;
-        } else if (size == 0) {
+        }
+        else if (size == 0) {
             size = p->buf_size - offset;
         }
         if (size < minsize) {
@@ -9678,40 +9728,41 @@ static int mov_probe(const AVProbeData *p)
             continue;
         }
         tag = AV_RL32(p->buf + offset + 4);
-        switch(tag) {
-        /* check for obvious tags */
-        case MKTAG('m','o','o','v'):
+        switch (tag) {
+            /* check for obvious tags */
+        case MKTAG('m', 'o', 'o', 'v'):
             moov_offset = offset + 4;
-        case MKTAG('m','d','a','t'):
-        case MKTAG('p','n','o','t'): /* detect movs with preview pics like ew.mov and april.mov */
-        case MKTAG('u','d','t','a'): /* Packet Video PVAuthor adds this and a lot of more junk */
-        case MKTAG('f','t','y','p'):
-            if (tag == MKTAG('f','t','y','p') &&
-                       (   AV_RL32(p->buf + offset + 8) == MKTAG('j','p','2',' ')
-                        || AV_RL32(p->buf + offset + 8) == MKTAG('j','p','x',' ')
-                        || AV_RL32(p->buf + offset + 8) == MKTAG('j','x','l',' ')
+        case MKTAG('m', 'd', 'a', 't'):
+        case MKTAG('p', 'n', 'o', 't'): /* detect movs with preview pics like ew.mov and april.mov */
+        case MKTAG('u', 'd', 't', 'a'): /* Packet Video PVAuthor adds this and a lot of more junk */
+        case MKTAG('f', 't', 'y', 'p'):
+            if (tag == MKTAG('f', 't', 'y', 'p') &&
+                (AV_RL32(p->buf + offset + 8) == MKTAG('j', 'p', '2', ' ')
+                    || AV_RL32(p->buf + offset + 8) == MKTAG('j', 'p', 'x', ' ')
+                    || AV_RL32(p->buf + offset + 8) == MKTAG('j', 'x', 'l', ' ')
                     )) {
                 score = FFMAX(score, 5);
-            } else {
+            }
+            else {
                 score = AVPROBE_SCORE_MAX;
             }
             break;
-        /* those are more common words, so rate then a bit less */
-        case MKTAG('e','d','i','w'): /* xdcam files have reverted first tags */
-        case MKTAG('w','i','d','e'):
-        case MKTAG('f','r','e','e'):
-        case MKTAG('j','u','n','k'):
-        case MKTAG('p','i','c','t'):
-            score  = FFMAX(score, AVPROBE_SCORE_MAX - 5);
+            /* those are more common words, so rate then a bit less */
+        case MKTAG('e', 'd', 'i', 'w'): /* xdcam files have reverted first tags */
+        case MKTAG('w', 'i', 'd', 'e'):
+        case MKTAG('f', 'r', 'e', 'e'):
+        case MKTAG('j', 'u', 'n', 'k'):
+        case MKTAG('p', 'i', 'c', 't'):
+            score = FFMAX(score, AVPROBE_SCORE_MAX - 5);
             break;
-        case MKTAG(0x82,0x82,0x7f,0x7d):
-            score  = FFMAX(score, AVPROBE_SCORE_EXTENSION - 5);
+        case MKTAG(0x82, 0x82, 0x7f, 0x7d):
+            score = FFMAX(score, AVPROBE_SCORE_EXTENSION - 5);
             break;
-        case MKTAG('s','k','i','p'):
-        case MKTAG('u','u','i','d'):
-        case MKTAG('p','r','f','l'):
+        case MKTAG('s', 'k', 'i', 'p'):
+        case MKTAG('u', 'u', 'i', 'd'):
+        case MKTAG('p', 'r', 'f', 'l'):
             /* if we only find those cause probedata is too small at least rate them */
-            score  = FFMAX(score, AVPROBE_SCORE_EXTENSION);
+            score = FFMAX(score, AVPROBE_SCORE_EXTENSION);
             break;
         }
         if (size > INT64_MAX - offset)
@@ -9724,17 +9775,18 @@ static int mov_probe(const AVProbeData *p)
         offset = moov_offset;
 
         while (offset < (p->buf_size - 16)) { /* Sufficient space */
-               /* We found an actual hdlr atom */
-            if (AV_RL32(p->buf + offset     ) == MKTAG('h','d','l','r') &&
-                AV_RL32(p->buf + offset +  8) == MKTAG('m','h','l','r') &&
-                AV_RL32(p->buf + offset + 12) == MKTAG('M','P','E','G')) {
+            /* We found an actual hdlr atom */
+            if (AV_RL32(p->buf + offset) == MKTAG('h', 'd', 'l', 'r') &&
+                AV_RL32(p->buf + offset + 8) == MKTAG('m', 'h', 'l', 'r') &&
+                AV_RL32(p->buf + offset + 12) == MKTAG('M', 'P', 'E', 'G')) {
                 av_log(NULL, AV_LOG_WARNING, "Found media data tag MPEG indicating this is a MOV-packed MPEG-PS.\n");
                 /* We found a media handler reference atom describing an
                  * MPEG-PS-in-MOV, return a
                  * low score to force expanding the probe window until
                  * mpegps_probe finds what it needs */
                 return 5;
-            } else {
+            }
+            else {
                 /* Keep looking */
                 offset += 2;
             }
@@ -9745,17 +9797,17 @@ static int mov_probe(const AVProbeData *p)
 }
 
 // must be done after parsing all trak because there's no order requirement
-static void mov_read_chapters(AVFormatContext *s)
+static void mov_read_chapters(AVFormatContext* s)
 {
-    MOVContext *mov = s->priv_data;
-    MOVStreamContext *sc;
+    MOVContext* mov = s->priv_data;
+    MOVStreamContext* sc;
     int64_t cur_pos;
     int i, j;
     int chapter_track;
 
     for (j = 0; j < mov->nb_chapter_tracks; j++) {
-        AVStream *st = NULL;
-        FFStream *sti = NULL;
+        AVStream* st = NULL;
+        FFStream* sti = NULL;
         chapter_track = mov->chapter_tracks[j];
         for (i = 0; i < s->nb_streams; i++) {
             sc = mov->fc->streams[i]->priv_data;
@@ -9777,7 +9829,7 @@ static void mov_read_chapters(AVFormatContext *s)
             st->disposition |= AV_DISPOSITION_ATTACHED_PIC | AV_DISPOSITION_TIMED_THUMBNAILS;
             if (!st->attached_pic.data && sti->nb_index_entries) {
                 // Retrieve the first frame, if possible
-                AVIndexEntry *sample = &sti->index_entries[0];
+                AVIndexEntry* sample = &sti->index_entries[0];
                 if (avio_seek(sc->pb, sample->pos, SEEK_SET) != sample->pos) {
                     av_log(s, AV_LOG_ERROR, "Failed to retrieve first frame\n");
                     goto finish;
@@ -9786,14 +9838,15 @@ static void mov_read_chapters(AVFormatContext *s)
                 if (ff_add_attached_pic(s, st, sc->pb, NULL, sample->size) < 0)
                     goto finish;
             }
-        } else {
+        }
+        else {
             st->codecpar->codec_type = AVMEDIA_TYPE_DATA;
             st->codecpar->codec_id = AV_CODEC_ID_BIN_DATA;
             st->discard = AVDISCARD_ALL;
             for (int i = 0; i < sti->nb_index_entries; i++) {
-                AVIndexEntry *sample = &sti->index_entries[i];
-                int64_t end = i+1 < sti->nb_index_entries ? sti->index_entries[i+1].timestamp : st->duration;
-                uint8_t *title;
+                AVIndexEntry* sample = &sti->index_entries[i];
+                int64_t end = i + 1 < sti->nb_index_entries ? sti->index_entries[i + 1].timestamp : st->duration;
+                uint8_t* title;
                 uint16_t ch;
                 int len, title_len;
 
@@ -9809,9 +9862,9 @@ static void mov_read_chapters(AVFormatContext *s)
 
                 // the first two bytes are the length of the title
                 len = avio_rb16(sc->pb);
-                if (len > sample->size-2)
+                if (len > sample->size - 2)
                     continue;
-                title_len = 2*len + 1;
+                title_len = 2 * len + 1;
                 if (!(title = av_mallocz(title_len)))
                     goto finish;
 
@@ -9820,7 +9873,8 @@ static void mov_read_chapters(AVFormatContext *s)
                 // instead by the presence of a BOM
                 if (!len) {
                     title[0] = 0;
-                } else {
+                }
+                else {
                     ch = avio_rb16(sc->pb);
                     if (ch == 0xfeff)
                         avio_get_str16be(sc->pb, len, title, title_len);
@@ -9839,13 +9893,13 @@ static void mov_read_chapters(AVFormatContext *s)
                 av_freep(&title);
             }
         }
-finish:
+    finish:
         avio_seek(sc->pb, cur_pos, SEEK_SET);
     }
 }
 
-static int parse_timecode_in_framenum_format(AVFormatContext *s, AVStream *st,
-                                             int64_t value, int flags)
+static int parse_timecode_in_framenum_format(AVFormatContext* s, AVStream* st,
+    int64_t value, int flags)
 {
     AVTimecode tc;
     char buf[AV_TIMECODE_STR_SIZE];
@@ -9854,14 +9908,14 @@ static int parse_timecode_in_framenum_format(AVFormatContext *s, AVStream *st,
     if (ret < 0)
         return ret;
     av_dict_set(&st->metadata, "timecode",
-                av_timecode_make_string(&tc, buf, value), 0);
+        av_timecode_make_string(&tc, buf, value), 0);
     return 0;
 }
 
-static int mov_read_rtmd_track(AVFormatContext *s, AVStream *st)
+static int mov_read_rtmd_track(AVFormatContext* s, AVStream* st)
 {
-    MOVStreamContext *sc = st->priv_data;
-    FFStream *const sti = ffstream(st);
+    MOVStreamContext* sc = st->priv_data;
+    FFStream* const sti = ffstream(st);
     char buf[AV_TIMECODE_STR_SIZE];
     int64_t cur_pos = avio_tell(sc->pb);
     int hh, mm, ss, ff, drop;
@@ -9877,17 +9931,17 @@ static int mov_read_rtmd_track(AVFormatContext *s, AVStream *st)
     drop = avio_r8(s->pb);
     ff = avio_r8(s->pb);
     snprintf(buf, AV_TIMECODE_STR_SIZE, "%02d:%02d:%02d%c%02d",
-             hh, mm, ss, drop ? ';' : ':', ff);
+        hh, mm, ss, drop ? ';' : ':', ff);
     av_dict_set(&st->metadata, "timecode", buf, 0);
 
     avio_seek(sc->pb, cur_pos, SEEK_SET);
     return 0;
 }
 
-static int mov_read_timecode_track(AVFormatContext *s, AVStream *st)
+static int mov_read_timecode_track(AVFormatContext* s, AVStream* st)
 {
-    MOVStreamContext *sc = st->priv_data;
-    FFStream *const sti = ffstream(st);
+    MOVStreamContext* sc = st->priv_data;
+    FFStream* const sti = ffstream(st);
     int flags = 0;
     int64_t cur_pos = avio_tell(sc->pb);
     int64_t value;
@@ -9914,9 +9968,9 @@ static int mov_read_timecode_track(AVFormatContext *s, AVStream *st)
      * despite what the tmcd track "suggests" (Counter flag set to 0 means QT
      * format). */
 
-    /* 60 fps content have tmcd_nb_frames set to 30 but tc_rate set to 60, so
-     * we multiply the frame number with the quotient.
-     * See tickets #9492, #9710. */
+     /* 60 fps content have tmcd_nb_frames set to 30 but tc_rate set to 60, so
+      * we multiply the frame number with the quotient.
+      * See tickets #9492, #9710. */
     rounded_tc_rate = (tc_rate.num + tc_rate.den / 2LL) / tc_rate.den;
     /* Work around files where tmcd_nb_frames is rounded down from frame rate
      * instead of up. See ticket #5978. */
@@ -9931,7 +9985,7 @@ static int mov_read_timecode_track(AVFormatContext *s, AVStream *st)
     return 0;
 }
 
-static void mov_free_encryption_index(MOVEncryptionIndex **index) {
+static void mov_free_encryption_index(MOVEncryptionIndex** index) {
     int i;
     if (!index || !*index) return;
     for (i = 0; i < (*index)->nb_encrypted_samples; i++) {
@@ -9943,9 +9997,9 @@ static void mov_free_encryption_index(MOVEncryptionIndex **index) {
     av_freep(index);
 }
 
-static void mov_free_stream_context(AVFormatContext *s, AVStream *st)
+static void mov_free_stream_context(AVFormatContext* s, AVStream* st)
 {
-    MOVStreamContext *sc = st->priv_data;
+    MOVStreamContext* sc = st->priv_data;
 
     if (!sc || --sc->refcount) {
         st->priv_data = NULL;
@@ -10005,13 +10059,13 @@ static void mov_free_stream_context(AVFormatContext *s, AVStream *st)
     av_freep(&sc->iamf);
 }
 
-static int mov_read_close(AVFormatContext *s)
+static int mov_read_close(AVFormatContext* s)
 {
-    MOVContext *mov = s->priv_data;
+    MOVContext* mov = s->priv_data;
     int i, j;
 
     for (i = 0; i < s->nb_streams; i++) {
-        AVStream *st = s->streams[i];
+        AVStream* st = s->streams[i];
 
         mov_free_stream_context(s, st);
     }
